# -*- rpm-spec -*-
# $Id: dhcp,v 1.24.2.5 2004/03/18 15:46:56 grigory Exp $

%define rcnb rc13

Name: dhcp
Version: 3.0.1
Release: custom
Serial: 1

Packager: Eugene Prokopiev <eugene_prokopiev@mail.ru>

Summary: A DHCP (Dynamic Host Configuration Protocol) server and relay agent with ldap support.
License: distributable
Group: System/Servers

Source0: ftp://ftp.isc.org/isc/%name/%name-%version%rcnb.tar.bz2
Source1: dhcpd.conf.sample
Source2: dhcpd.init
Source3: dhcp-dynamic-dns-examples.tar.bz2
Source4: dhcrelay.init
Source5: update_dhcp.pl
Source6: dhcpd.conf.sample-ldap
Source7: dhcpd.ldif
Source8: dhcpd-ddns.ldif
Source9: dhcpd-ddns-add.ldif
Source10: dhcp.schema

Patch0: %name-3.0.1rc3-buildroot.patch
Patch1: %name-3.0.1rc3-hooks.patch
# Patch2: %{name}d-cvs-fixes.patch
Patch3: %name-3.0.1rc13-ldap-patch

Obsoletes: dhcpd

# Automatically added by buildreq on Wed Oct 23 2002
BuildRequires: groff-base libldap-devel

Requires: %name-common = %version-%release libldap

%description
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address,
etc.) from a DHCP server.  The overall purpose of DHCP is to make it
easier to administer a large network.  The %name package includes the DHCP
server and a DHCP relay agent.

You should install %name if you want to set up a DHCP server on your
network.  You will also need to install the pump package, which provides
the DHCP client daemon, on client machines.

%package common
Summary: The ISC DHCP (Dynamic Host Configuration Protocol) server.
Group: System/Servers

%description common
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows 
individual devices on an IP network to get their own network 
configuration information (IP address, subnetmask, broadcast address, 
etc.) from a DHCP server.  The overall purpose of DHCP is to make it 
easier to administer a large network.  The dhcp package includes the 
DHCP server and a DHCP relay agent.

You will also need to install the dhcp-client or dhcpcd package,
or pump or dhcpxd, which provides the DHCP client daemon, on 
client machines.
If you want the DHCP server and/or relay, you will al
so need to
install the dhcp-server and/or dhcp-relay packages.

%package client
Summary: A DHCP (Dynamic Host Configuration Protocol) client.
Group: System/Servers
Requires: %name-common = %version-%release

%description client
This is the third release of the %name package from the Internet Software
Consortium.  The Internet Software Consortium DHCP Client, dhclient,
provides a means for  configuring  one  or  more  network interfaces
using the Dynamic Host Configuration Protocol, BOOTP protocol, or if these
protocols fail, by statically assigning an address.

%package devel
Summary: Development headers for the dhcpctl API
Group: Development/Other
Requires: dhcp-common = %version-%release

%description devel
DHCP devel contains all of the headers 
for developing with
the Internet Software Consortium (ISC) dhcpctl API.

%package devel-static
Summary: Static libraries for the dhcpctl API
Group: Development/Other
Requires: %name-devel = %version-%release

%description devel-static
A DHCP (Dynamic Host Configuration Protocol) static libraries.

%package omshell
Summary: A DHCP (Dynamic Host Configuration Protocol) OMAPI shell tool.
Group: System/Servers
Requires: %name-common = %version-%release

%description omshell
A DHCP (Dynamic Host Configuration Protocol) OMAPI shell tool.

%package relay
Summary: The ISC DHCP (Dynamic Host Configuration Protocol) relay.
Group: System/Servers
Requires: %name-common = %version-%release

%description relay
DHCP relay is the Internet Software Consortium (ISC) relay agent for 
DHCP packets.  It is used on a subnet with DHCP clients to "relay" 
their requests to a subnet that has a DHCP server
on it.  Because DHCP 
packets can be broadcast, they will not be routed off
of the local 
subnet.  The DHCP relay takes care of this for the client.

You will need to set the environment variable SERVERS
 and optionally
 OPTIONS in /etc/sysconfig/dhcrelay before starting the server.

%prep
%setup -q -n %name-%version%rcnb -a3
%patch0 -p1
%patch1 -p1
# %patch2 -p0
%patch3 -p1
%__install -p -m644 %SOURCE1 .
%__install -p -m644 %SOURCE6 .
%__install -p -m644 %SOURCE7 .
%__install -p -m644 %SOURCE8 .
%__install -p -m644 %SOURCE9 .
%__install -p -m644 %SOURCE10 .

%build
echo LIBS=-lldap >> site.conf
./configure
%make_build CC=gcc DEBUG="$RPM_OPT_FLAGS \
	-D_PATH_DHCPD_DB=\\\"%_localstatedir/%name/dhcpd.leases\\\" \
	-D_PATH_DHCLIENT_DB=\\\"%_localstatedir/%name/dhclient.leases\\\""

%install
%__mkdir_p %buildroot{%_initdir,%_localstatedir/%name}
%make_install install DESTDIR=%buildroot
%__install -p -m755 %SOURCE2 %buildroot%_initdir/dhcpd
touch %buildroot%_localstatedir/%name/{dhcpd,dhclient}.leases
# %__mv %buildroot/sbin/dhclient-script %buildroot%_sysconfdir/dhclient-script
%__ln_s ../sbin/dhclient-script %buildroot%_sysconfdir/dhclient-script
%__install -m 0755 %SOURCE4 %buildroot%_initrddir/dhcrelay
%__install -m 0755 %SOURCE5 %buildroot%_sbindir/
%__mkdir -p %buildroot/%_sysconfdir/sysconfig
touch %buildroot%_sysconfdir/sysconfig/dhcpd
touch %buildroot%_sysconfdir/sysconfig/dhcrelay

%post
%post_service dhcpd
#update an eventual installed dhcp-2* server
if [ -f %_sysconfdir/dhcpd.conf ]; then
	%__perl %_sbindir/update_dhcp.pl
fi

%preun
%preun_service dhcpd

%post relay
%post_service dhcrelay

%preun relay
%preun_service dhcrelay
 
%files
%doc dhcpd.conf.sample
%doc dhcpd.conf.sample-ldap
%doc dhcpd.ldif
%doc dhcpd-ddns.ldif
%doc dhcpd-ddns-add.ldif
%doc README.ldap
%doc dhcp.schema
%dir %_localstatedir/%name
%config(noreplace) %_initdir/dhcpd
%config(noreplace) %_sysconfdir/sysconfig/dhcpd
%config(noreplace) %_localstatedir/%name/dhcpd.leases
%_sbindir/dhcpd
%_sbindir/update_dhcp.pl
%_man5dir/dhcpd.*
%_man5dir/dhcp-options.*
%_man5dir/dhcp-eval.*
%_man8dir/dhcpd.*

%files common
%doc LICENSE README RELNOTES doc tests
%dir %_localstatedir/%name

%files client
%dir %_localstatedir/%name
%config(noreplace) %_sysconfdir/dhclient-script
%config(noreplace) %_localstatedir/%name/dhclient.leases
/sbin/dhclient*
%_man5dir/dhclient.*
%_man8dir/dhclient*

%files devel
%_includedir/*
%_man3dir/*

%files devel-static
%_libdir/*

%files omshell
%_bindir/omshell
%_man1dir/omshell.*

%files relay
%config(noreplace) %_initrddir/dhcrelay
%config(noreplace) %_sysconfdir/sysconfig/dhcrelay
%_sbindir/dhcrelay
%_man8dir/dhcrelay.8*

%changelog
* Thu Jul 10 2004 Eugene Prokopiev <eugene_prokopiev@mail.ru> 1:3.0.1-custom
- Updated ldif files

* Thu Apr 14 2004 Eugene Prokopiev <john@rmts.donpac.ru> 1:3.0.1-custom
- Added ldap support

* Thu Mar 18 2004 Grigory Milev <week@altlinux.ru> 1:3.0.1-alt5
- Updated to 3.0.1rc13 (security update).

* Mon Dec  9 2002 Grigory Milev <week@altlinux.ru> 1:3.0.1-alt4
- Updated to 3.0.1rc10.

* Wed Oct 30 2002 Stanislav Ievlev <inger@altlinux.ru> 1:3.0.1-alt3
- real changelog fix. Grigory, please use normal add_changelog util

* Fri Oct 25 2002 Grigory Milev <week@altlinux.ru> 3.0.1-alt2
- rebuild with gcc3.2
- mv dhclient-script to /sbin
  make link /sbin/dhclient-script -> /etc/dhclient-script for compatible

* Wed Oct 23 2002 Grigory Milev <week@altlinux.ru> 3.0.1-alt1
- rebuild with gcc3

* Wed May 15 2002 Grigory Milev <week@altlinux.ru> 3.0.1-alt0.8
- new rc version released with security patches

* Tue Mar 26 2002 Grigory Milev <week@altlinux.ru> 3.0.1-alt0.7
- make dhcpd.leases as noreplace config file

* Thu Mar 21 2002 Grigory Milev <week@altlinux.ru> 3.0.1-alt0.6
- Fixed init script to work with chkconfig

* Thu Feb 21 2002 Grigory Milev <week@altlinux.ru> 3.0.1-alt0.5
- rewriten init script, for correct work with ethernet
  aliases (ex: eth0:1) and subnet test for available
  in dhcpd.conf (thanks to Vadim Illarionov <DIMMeach@NewMail.ru>)

* Wed Feb 20 2002 Grigory Milev <week@altlinux.ru> 3.0.1-alt0.4
- fixed init script
- remake post and preun scripts

* Fri Feb 15 2002 Grigory Milev <week@altlinux.ru> 3.0.1-alt0.3
- fixed post uninstall script

* Tue Feb 12 2002 Grigory Milev <week@altlinux.ru> 3.0.1-alt0.2
- correct init script for find interfaces from ifcfg scripts
- if you need dhcp on some interface, add DHCP=yes to ifcfg script
- minor spec cleanup

* Mon Nov 05 2001 Konstantin Volckov <goldhead@altlinux.ru> 3.0.1-alt0.1
- 3.0.1rc3
- Added devel, devel-static, omshell, relay & common packages

* Wed Jan 17 2001 Dmitry V. Levin <ldv@fandra.org> 2.0pl5-ipl2mdk
- RE adaptions.

* Fri Nov 17 2000 Florin Grad <florin@mandrakesoft.com> 2.0pl5-2mdk
- chkconfig is now set to 3,4,5

* Mon Nov 06 2000 Florin Grad <florin@mandrakesoft.com> 2.0pl5-1mdk
- Mandrake adaptations. this is the actual stable version

* Sun Sep 10 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 2.0pl5
- redo buildroot patch

* Wed Aug 30 2000 Matt Wilson <msw@redhat.com>
- rebuild to cope with glibc locale binary incompatibility, again

* Mon Aug 14 2000 Preston Brown <pbrown@redhat.com>
- check for existence of /var/lib/dhcpd.leases in initscript before starting

* Wed Jul 19 2000 Jakub Jelinek <jakub@redhat.com>
- rebuild to cope with glibc locale binary incompatibility

* Sat Jul 15 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jul  7 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- /etc/rc.d/init.d -> /etc/init.d
- fix /var/state/dhcp -> /var/lib/dhcp

* Fri Jun 16 2000 Preston Brown <pbrown@redhat.com>
- condrestart for initscript, graceful upgrades.

* Thu Feb 03 2000 Erik Troan <ewt@redhat.com>
- gzipped man pages
- marked /etc/rc.d/init.d/dhcp as a config file

* Mon Jan 24 2000 Jakub Jelinek <jakub@redhat.com>
- fix booting of JavaStations
  (reported by Pete Zaitcev <zaitcev@metabyte.com>).
- fix SIGBUS crashes on SPARC (apparently gcc is too clever).

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in %preun, not %postun

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Fri Jun 25 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.0.

* Fri Jun 18 1999 Bill Nottingham <notting@redhat.com>
- don't run by default

* Wed Jun  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.0b1pl28.

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- copy the source file in %prep, not move

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 4)

* Mon Jan 11 1999 Erik Troan <ewt@redhat.com>
- added a sample dhcpd.conf file
- we don't need to dump rfc's in /usr/doc

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- modify dhcpd.init to exit if /etc/dhcpd.conf is not present

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- Upgraded to 2.0b1pl6 (patch1 no longer needed).

* Thu Jun 11 1998 Erik Troan <ewt@redhat.com>
- applied patch from Chris Evans which makes the server a bit more paranoid
  about dhcp requests coming in from the wire

* Mon Jun 01 1998 Erik Troan <ewt@redhat.com>
- updated to dhcp 2.0b1pl1
- got proper man pages in the package

* Tue Mar 31 1998 Erik Troan <ewt@redhat.com>
- updated to build in a buildroot properly
- don't package up the client, as it doens't work very well <sigh>

* Tue Mar 17 1998 Bryan C. Andregg <bandregg@redhat.com>
- Build rooted and corrected file listing.

* Mon Mar 16 1998 Mike Wangsmo <wanger@redhat.com>
- removed the actual inet.d links (chkconfig takes care of this for us)
  and made the %postun section handle upgrades.

* Mon Mar 16 1998 Bryan C. Andregg <bandregg@redhat.com>
- First package.



