SET SQL DIALECT 3;
 
CREATE DATABASE 'localhost:billing' USER 'sysdba' PASSWORD 'masterkey';

/*      ,   - */
CREATE TABLE PROXY_LOG (LOG_DATE DATE,       /*  */				
	CLIENT_ADDRESS VARCHAR(256),         /*    */
	HOST VARCHAR(255),                   /*  ,    HTTP- */
	REQUEST_METHOD VARCHAR(10),          /*  HTTP- */
	TOTAL_COUNT BIGINT,                  /*    */
	TOTAL_BYTES BIGINT,                  /*     */
	CACHE_COUNT BIGINT,                  /*  ,        - */
	CACHE_BYTES BIGINT);                 /*  ,    */
							
/*      ,   NAT */
CREATE TABLE TRANSFER_LOG (LOG_DATE DATE,    /*  */
        PROTOCOL SMALLINT,                   /*   ( /etc/protocols) */
        SOURCE VARCHAR(15),                  /*   */
        SOURCE_PORT INTEGER,                 /*   */
        DESTINATION VARCHAR(15),             /*   */
        DESTINATION_PORT INTEGER,            /*   */
        INCOMING VARCHAR(4),                 /*   */
        OUTGOING VARCHAR(4),                 /*   */
        PREFIX VARCHAR(25),                  /*   ULOG */
        PACKETS BIGINT,                      /*   */
        BYTES BIGINT);                       /*   */
	
COMMIT WORK;
																	
CREATE INDEX PROXY_LOG_DATE ON PROXY_LOG(LOG_DATE);
CREATE INDEX TRANSFER_LOG_DATE ON TRANSFER_LOG(LOG_DATE);
CREATE INDEX TRANSFER_LOG_DESTINATION ON TRANSFER_LOG(DESTINATION);
CREATE INDEX TRANSFER_LOG_DESTINATION_PORT ON TRANSFER_LOG(DESTINATION_PORT);
CREATE INDEX TRANSFER_LOG_INCOMING ON TRANSFER_LOG(INCOMING);
CREATE INDEX TRANSFER_LOG_OUTGOING ON TRANSFER_LOG(OUTGOING);
CREATE INDEX TRANSFER_LOG_PREFIX ON TRANSFER_LOG(PREFIX);
CREATE INDEX TRANSFER_LOG_SOURCE ON TRANSFER_LOG(SOURCE);
CREATE INDEX TRANSFER_LOG_SOURCE_PORT ON TRANSFER_LOG(SOURCE_PORT);
COMMIT WORK;
																	
GRANT SELECT ON PROXY_LOG TO USER OPERATOR;
GRANT SELECT ON TRANSFER_LOG TO USER OPERATOR;
COMMIT WORK;
