# ulog-acctd.spec
#
# You can build --with/--without M22 or Sisyphus

# handle initscript style change
%define feature_initscripts %nil

%if_with M22
%define feature_initscripts 2_2
%endif

%if_with Sisyphus
%define feature_initscripts 2_3
%endif

%if "%feature_initscripts" == ""
%define feature_initscripts %([ -e /etc/init.d/functions-compat ] && echo "2_3" || echo "2_2")
%endif

%if "%feature_initscripts" == "2_2"
%define release_tag .M22
%else
%define release_tag %nil
%endif

Name: ulog-acctd
Summary: ulog-acctd - A userspace network accounting daemon
Version: 0.4.2
Release: alt1%release_tag
License: GPL
Group: Network
Url: http://alioth.debian.org/projects/pkg-ulog-acctd
Source0: %{name}_%version.orig.tar.gz
Source1: ulog-acctd.init.2_2
Source2: ulog-acctd.init.2_3
Source3: ulog-acctd.logrotate
Patch0: ulog-acctd-logfile-perms.patch
Patch1: ulog-acctd-makefile.patch

%description
ulog-acctd is a userspace network accounting daemon which
generates log files of network traffic for accounting purposes.

%prep
%if "%feature_initscripts" == ""
echo "*** Unable to determine target distribution"
echo "*** use --with M22 or --with Sisyphus"
exit 1
%endif

%setup -n %name-%version.orig
%patch0
%patch1

%build
pushd src
%make_build
popd
pushd doc
makeinfo --no-headers -o - ulog-acctd.texi > README
makeinfo --no-split ulog-acctd.texi
popd

%install
%__mkdir_p %buildroot%_initdir
%__mkdir_p %buildroot%_sysconfdir/logrotate.d
%__mkdir_p %buildroot%_sbindir
%__mkdir_p %buildroot%_infodir
%__mkdir_p %buildroot%_man8dir
%__mkdir_p %buildroot%_logdir/%name
%__install doc/ulog-acctd.8 %buildroot%_man8dir/ulog-acctd.8
%__install -m644 doc/ulog-acctd.info %buildroot%_infodir/ulog-acctd.info
%__install -m755 src/ulog-acctd %buildroot%_sbindir/ulog-acctd
%__install -m644 src/ulog-acctd.conf %buildroot%_sysconfdir/ulog-acctd.conf
%if "%feature_initscripts" == "2_2"
%__install -m755 %SOURCE1 %buildroot%_initdir/%name
%else
%__install -m755 %SOURCE2 %buildroot%_initdir/%name
%endif
%__install -m620 %SOURCE3 %buildroot%_sysconfdir/logrotate.d/%name

%post
%post_service ulog-acctd
%install_info ulog-acctd.info

%preun
%preun_service ulog-acctd
%uninstall_info ulog-acctd.info

%files
%_sbindir/ulog-acctd
%config %_sysconfdir/ulog-acctd.conf
%_initdir/%name
%_sysconfdir/logrotate.d/%name
%_mandir/man8/*
%_infodir/*
%dir %_logdir/%name

%doc doc/README COPYING contrib

%changelog
* Tue Jul 07 2004 Pavel Usishev <usishev@yandex.ru> 0.4.2-alt1
- More spec changes, now can build with old (M22) or new initscripts
- Rewritten logrotate config with sharedscripts
- Dropped -alt0.puN release numbering, suppose it's ready for -alt1

* Sat Jul 03 2004 Pavel Usishev <usishev@yandex.ru> 0.4.2-alt0.pu2
- Rewrite ulog-acctd.init, add cond* actions

* Thu Jul 01 2004 Pavel Usishev <usishev@yandex.ru> 0.4.2-alt0.pu1
- Turn off debug, turn on optimization in Makefile
- Change logfile-perms.patch to create logfiles with 600 permissions
- Some spec corrections

* Tue May 11 2004 Eugene Prokopiev <john@rmts.donpac.ru>
- Initial RPM package
